Name: athcool
Version: 0.3.12
Release: %mkrel 2
Summary: Utility to enable/disable powersaving for AMD Athlon/Duron cpus
Group: System/Base
License: GPLv2
Url: http://members.jcom.home.ne.jp/jacobi/linux/softwares.html
Source0: http://members.jcom.home.ne.jp/jacobi/linux/files/%{name}-%{version}.tar.gz

BuildRequires: pciutils-devel

%description
athcool is a small utility, enabling/disabling Powersaving mode 
for AMD Athlon/Duron processors.

Since enabling Powersaving mode, you can save power consumption, 
lower CPU temperature when CPU is idle.

Powersaving works if your kernel support ACPI (APM not work), 
because athcool only set/unset "Disconnect enable when STPGNT detected" 
bits in the Northbridge of Chipset. To really save power, someone 
has to send the STPGNT signal when idle. 
This is done by the ACPI subsystem when C2 state entered. 

WARNING: Depending on your motherboard and/or hardware components, 
enabling powersaving mode may cause:

- noisy or distorted sound playback
- a slowdown in harddisk performance
- system locks or instability 

If you met those problems, you should not use athcool. 
Please use athcool AT YOUR OWN RISK! 

%prep
%setup -q

%build
%make

%install
%__rm -fr %{buildroot}
%makeinstall_std

%clean
%__rm -fr %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{_sbindir}/%{name}
%{_mandir}/man8/*.xz


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.3.12-2.mga3
+ Revision: 346524
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 07 2011 matteo <matteo> 0.3.12-1.mga2
+ Revision: 140854
- fixed rpmlint warnings
- fixed summary and description
- imported package athcool

